Skip to main content
`Ctrl`+`K`

# PetscDSGetQuadrature

Returns the quadrature, which must agree for all fields in the `PetscDS`

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetQuadrature(PetscDS prob, PetscQuadrature *q)

Not Collective

## Input Parameter

- prob - The `PetscDS` object

## Output Parameter

- q - The quadrature object

## See Also

`PetscDS`, `PetscQuadrature`, `PetscDSSetImplicit()`, `PetscDSSetDiscretization()`, `PetscDSAddDiscretization()`, `PetscDSGetNumFields()`, `PetscDSCreate()`

## Level

intermediate

## Location

src/dm/dt/interface/dtds.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages